=== debian/changelog ===
cl-asdf (2:2.014.3-1) unstable; urgency=low

  * yet another debian package attempt
  * update to 2.014.3, workaround for ABCL make-pathname bug (same as on XCL).

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 04 Apr 2011 23:27:30 -0400

cl-asdf (2:2.014.2-1) unstable; urgency=low

  * yet another attempt at a debian package.
  * update to 2.014.2, adds XCL support.

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 31 Mar 2011 14:08:09 -0400

cl-asdf (2:2.014.1-1) unstable; urgency=low

  * new attempt for a debian package.
  * while I'm at it, update to 2.014.1 which will make CMUCL happy.

 -- Francois-Rene Rideau <fare@tunes.org>  Tue, 29 Mar 2011 18:19:19 -0400

cl-asdf (2:2.014-3) unstable; urgency=low

  * another attempt with my new GPG key

 -- Francois-Rene Rideau <fare@tunes.org>  Sun, 27 Mar 2011 19:33:43 -0400

cl-asdf (2:2.014-2) unstable; urgency=low

  * tweak Makefile for debian packaging.

 -- Francois-Rene Rideau <fare@tunes.org>  Sun, 27 Mar 2011 17:17:15 -0400

cl-asdf (2:2.014-1) unstable; urgency=low

  * Blessing 2.013.7 as 2.014.
  * Fixed bug preventing upgrade from 2.000 to 2.008 (test added)
  * Better support for URL pathnames on SCL (test added)
  * Robustified defsystem-depends-on
  * Cosmetic changes:
    * better more portably readable error messages.
    * remove forward references, again (test added)
    * canonicalize system names earlier (slight robustness improvement)

 -- Francois-Rene Rideau <fare@tunes.org>  Sun, 27 Mar 2011 16:45:58 -0400

cl-asdf (2:2.013.3-1) unstable; urgency=low

  * Packaging 2.013.3 because 2.013 had important issues.
  * Fix important upgradability issue with 2.013 (unable to upgrade from
  versions 2.00[0-8] that have a separate ASDF-UTILITIES)
  * Fix minor verbosity issue (forward reference makes sbcl noisy
  when loading asdf.lisp directly as does quicklisp.)
  * Also, enhance support for SCL.

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 21 Mar 2011 16:24:27 -0400

cl-asdf (2:2.013-1) unstable; urgency=low

  * Blessing 2.012.12: many small improvements since 2.012.
  * Fixes and cleanups for CLISP, ECL, SBCL.
  * Added support for two legacy platforms: (R)MCL, Genera
  * Cleanup features: now using #+asdf-unix and #+asdf-window
  * Many cleanups and improvements regarding our portable pathname layer
  * Fixes a regression in source-registry scanning from 2.011.4
  * Remember *source-registry-parameter* and *output-translations-parameter*
  * Export and document coerce-pathname (f.k.a merge-component-name-type)
  * allow description and long-description for all components
  * Several documentation updates

 -- Francois-Rene Rideau <fare@tunes.org>  Sat, 19 Mar 2011 20:01:34 -0400

cl-asdf (2:2.012-1) unstable; urgency=low

  * Blessing 2.011.9: more fixes to corner cases.
  * Added :here directive to pathname DSL,
    robustified ECL support,
    fixed infinite loop when filesystem clock is in the future,
    extended the AOT DSL and made it more futureproof,
    fixed how clear-system interacts with map-systems,
    fixed use of directory under old SBCLs,
    fixed run-shell-command status and version string under clisp,
    fixed error messages.
  * Synchronized version of asdf.asd and asdf.lisp, automatically.

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 03 Jan 2011 06:59:17 +0100
