## cl-asdf 2.015

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,13 @@
 system	 	:= "asdf"
-#user 		:= $(shell basename `echo "$home"`)
-user := "frideau"
-webhome_private := $(user)@common-lisp.net:/project/asdf/public_html/
+webhome_private := common-lisp.net:/project/asdf/public_html/
 webhome_public	:= "http://common-lisp.net/project/asdf/"
 clnet_home      := "/project/asdf/public_html/"
-
 sourceDirectory := $(shell pwd)
 
-lisps ?= ccl clisp sbcl ecl allegro abcl scl
-## not tested by me: allegromodern cmucl lispworks
+lisps ?= ccl clisp sbcl ecl abcl xcl scl allegro
+## occasionally tested by not me: allegromodern cmucl lispworks
 ## FAIL: gclcvs (condition handling)
-## maybe supported by asdf, not supported yet by our tests: cormancl mcl genera
+## tentatively supported by asdf, not supported by our tests: cormancl mcl genera
 
 lisp ?= sbcl
 
@@ -26,7 +23,7 @@
 archive-copy: archive
 	git checkout release
 	bin/rsync-cp tmp/asdf*.tar.gz $(webhome_private)/archives
-	bin/link-tarball $(clnet_home) $(user)
+	bin/link-tarball $(clnet_home)
 	bin/rsync-cp tmp/asdf.lisp $(webhome_private)
 	${MAKE} push
 
@@ -64,6 +61,7 @@
 test-upgrade:
 	if [ -f /usr/lib/sbcl/sbcl-dist.core ] ; then \
 		SBCL="/usr/bin/sbcl --core /usr/lib/sbcl/sbcl-dist.core" ; fi ; \
+	mkdir -p tmp/ ; \
 	for tag in 1.37 1.97 1.369 `git tag -l '2.0??'` ; do \
 	  echo "Testing upgrade from ASDF $${tag}" ; \
 	  git show $${tag}:asdf.lisp > tmp/asdf-$${tag}.lisp ; \
@@ -79,22 +77,26 @@
 
 test: do-test test-forward-references
 
-test-all: test-forward-references test-upgrade
+do-test-all:
 	@for lisp in ${lisps} ; do \
 		make do-test lisp=$$lisp || exit 1 ; \
 	done
 
+test-all: test-forward-references test-upgrade do-test-all
+
+# Note that the debian git at git://git.debian.org/git/pkg-common-lisp/cl-asdf.git is stale,
+# as we currently build directly from upstream at git://common-lisp.net/projects/asdf/asdf.git
 debian-package: mrproper
-	RELEASE="$$(git tag -l '2.0[0-9][0-9]' | tail -n 1)" ; \
-	git-buildpackage --git-debian-branch=release --git-upstream-branch=$$RELEASE --git-tag --git-retag
+	: $${RELEASE:="$$(git tag -l '2.0[0-9][0-9]' | tail -n 1)"} ; \
+	git-buildpackage --git-debian-branch=release --git-upstream-branch=$$RELEASE --git-tag --git-retag --git-ignore-branch
 
 # Replace SBCL's ASDF with the current one.
-# not recommended: just use (asdf:load-system :asdf)
+# for casual users, just use (asdf:load-system :asdf)
 replace-sbcl-asdf:
 	sbcl --eval '(compile-file "asdf.lisp" :output-file (format nil "~Aasdf/asdf.fasl" (sb-int:sbcl-homedir-pathname)))' --eval '(quit)'
 
 # Replace CCL's ASDF with the current one.
-# not recommended: just use (asdf:load-system :asdf)
+# for casual users, just use (asdf:load-system :asdf)
 replace-ccl-asdf:
 	ccl --eval '(progn(compile-file "asdf.lisp" :output-file (format nil "~Atools/asdf.lx64fsl" (ccl::ccl-directory)))(quit))'
 
@@ -107,9 +109,13 @@
 fix-remote-git-tags:
 	for i in ${WRONGFUL_TAGS} ; do git push $${REMOTE:-cl.net} :refs/tags/$$i ; done
 
+TODO:
+	exit 2
+
+release: TODO test-all test-on-other-machines-too debian-changelog debian-package send-mail-to-mailing-lists
 
 .PHONY: install archive archive-copy push website clean mrproper \
-	upgrade-test test-forward-references test do-test test-all \
-	debian-package \
+	upgrade-test test-forward-references test do-test test-all do-test-all \
+	debian-package release \
 	replace-sbcl-asdf replace-ccl-asdf \
 	fix-local-git-tags fix-remote-git-tags
